Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Nov 2025 09:25:14 -0800

"brian m. carlson" <[email-masked]> writes:

> The new Rust files have adopted an approach that is slightly different
> from some of our other files and placed a license notice at the top.
> This is required because of DCO part (a): "I have the right to submit it
> under the open source license indicated in the file".  It also avoids
> ambiguity if the file is copied into a separate location (such as an LLM
> training corpus).

You may be aware of them already, but just in case, I was looking at
CI breakages and noticed that "cargo clippy" warnings added in
4b44c464 (ci: check for common Rust mistakes via Clippy, 2025-10-15)

   https://github.com/git/git/actions/runs/19346329259/job/55347554528#step:5:73

mostly seem to come from steps 12 and 13 of this series.

Thanks.